Bug 1251742 - Affinity balancing stop work after first migration
Affinity balancing stop work after first migration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
All Linux
urgent Severity urgent
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Roman Mohr
Artyom
: Triaged
Depends On:
Blocks: 1112332
  Show dependency treegraph
 
Reported: 2015-08-09 09:18 EDT by Artyom
Modified: 2016-04-19 21:11 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Consequence: Result: Fix:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldboi: Triaged+


Attachments (Terms of Use)
engine log (10.63 MB, text/plain)
2015-08-09 11:22 EDT, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44803 master MERGED scheduler: Let AffinityGroup always return empty lists Never
oVirt gerrit 44804 master MERGED scheduler: Refactor AffinityRulesEnforcementManager Never
oVirt gerrit 44876 None ABANDONED arem: Fixed logic for currentlyMigratingVm Never
oVirt gerrit 45311 master MERGED core: Add possibility to query for VMs with specific status Never
oVirt gerrit 45346 master MERGED scheduler: Select first schedulable VM from candidate pool Never
oVirt gerrit 45647 master MERGED core: Fix affinity group test which relies on null Never
oVirt gerrit 45741 ovirt-engine-3.6 MERGED scheduler: Let AffinityGroup always return empty lists Never
oVirt gerrit 45742 ovirt-engine-3.6 ABANDONED core: Add possibility to query for VMs with specific status Never
oVirt gerrit 45843 ovirt-engine-3.6 MERGED scheduler: Formatter treatment for AffinityRulesEnforcementManager Never
oVirt gerrit 45844 ovirt-engine-3.6 MERGED scheduler: Refactor AffinityRulesEnforcementManager Never
oVirt gerrit 45872 ovirt-engine-3.6 MERGED core: Add possibility to query for VMs with specific status Never
oVirt gerrit 45876 master MERGED scheduler: Fix migration free cluster detection Never
oVirt gerrit 45986 ovirt-engine-3.6 MERGED scheduler: Fix migration free cluster detection Never
oVirt gerrit 45987 ovirt-engine-3.6 MERGED scheduler: Select first schedulable VM from candidate pool Never

  None (edit)
Description Artyom 2015-08-09 09:18:25 EDT
Description of problem:
No affinity balancing of vms that placed in the same hard, negative affinity group

Version-Release number of selected component (if applicable):
ovirt-engine-3.6.0-0.0.master.20150804111407.git122a3a0.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Add two hosts
2. Add two vms
3. Start vms on the same host
4. Add two vms to the hard, negative affinity group
5. Wait until affinity balancing will move one of vm to another host

Actual results:
Vms still placed on the same host, and I do not see any exceptions in engine log

Expected results:
One of vm must be moved to another host

Additional info:
I do not see any exceptions under engine log, but if you will need it anyway, leave me needinfo
Comment 1 Artyom 2015-08-09 11:22:08 EDT
Created attachment 1060747 [details]
engine log

After additional investigation with Roy, found that balancing happen just first time after engine restart and after first migration balancing stop work.
Comment 2 Tomer Saban 2015-08-16 06:26:40 EDT
There has been a logical issue in the method checkIfCurrentlyMigrating. So I added a patch that fixes it.
Comment 3 Artyom 2015-09-21 08:22:47 EDT
Verified on rhevm-3.6.0-0.16.master.el6.noarch
Comment 4 Roman Mohr 2016-01-19 05:28:48 EST
Was never part of an official release and was completely reimplemented.

Note You need to log in before you can comment on or make changes to this bug.